import { Component } from '@angular/core';
import { BeneficiaryComplianceHoldService } from '../services/beneficiary-compliance-hold.service';
import { Observable } from 'rxjs';
import { Router } from '@angular/router';
@Component({
  selector: 'app-beneficiary-compliance-hold',
  templateUrl: './beneficiary-compliance-hold.component.html',
  styleUrls: ['./beneficiary-compliance-hold.component.css'],
})
export class BeneficiaryComplianceHoldComponent {
  beneficiaryNo: string = '';
  beneficiaryDetails: any[] = [];
  constructor(
    private beneficiaryComplianceHoldService: BeneficiaryComplianceHoldService,
    private router: Router
  ) {}
  ngOnInit() {
    this.getStatusRecords();
  }
  toggleSideBar() {
    const bodyElement = document.body;
    bodyElement.classList.toggle('sidebar-collapsein');
  }
  fetchBeneficiaryComplicance(): void {
    this.beneficiaryComplianceHoldService
      .getAllBeneficiaryComplicance(this.beneficiaryNo)
      .subscribe(
        (data) => {
          console.log('Response:', data);
        },
        (error) => {
          console.error('Error:', error);
        }
      );
  }
  navigateToBeneficiary(beneficiaryNumber: any) {
    this.router.navigate([
      `/panel/beneficiary-compliance-hold-view/${beneficiaryNumber}`,
    ]);
  }

  getOfacLogDetails(transactionNumber: string) {
    this.beneficiaryComplianceHoldService.complicanceOfacLogDetails(transactionNumber).subscribe(
      (response: any) => {
        console.log('OFAC Log Details:', response);
      },
      (error) => {
        console.error('Error fetching OFAC Log Details:', error);
      }
    );
  }

  getStatusRecords() {
    this.beneficiaryComplianceHoldService.getAllBeneficiaryComplicance(this.beneficiaryNo).subscribe(
      (response: any[]) => {
        this.beneficiaryDetails = response;
      },
      (error) => {
        console.error('Error fetching beneficiary details:', error);
      }
    );
  }
}
