import { Component } from '@angular/core';
import { ManageUserSubgroupService } from '../manage-user-subgroup.service';

@Component({
  selector: 'app-manage-user-subgroups',
  templateUrl: './manage-user-subgroups.component.html',
  styleUrls: ['./manage-user-subgroups.component.css'],
})
export class ManageUserSubgroupsComponent {
  groupList: any;
  subGroupList: any;
  GroupId: any;
  subGroupId: any;
  accessList: any = [];
  constructor(private ManageUserSubgroupsSvc: ManageUserSubgroupService) {}
  ngOnInit(): void {
    this.getGroup();
  }

  getGroup() {
    this.ManageUserSubgroupsSvc.getGroup().subscribe({
      next: (res: any) => {
        this.groupList = res;
      },
      error: (err) => {},
      complete: () => {},
    });
  }

  onSelectGroup(GroupId) {
    this.GroupId = GroupId;
    this.getSubGroup(GroupId);
  }

  getSubGroup(GroupId) {
    this.ManageUserSubgroupsSvc.getSubGroup(GroupId).subscribe({
      next: (res: any) => {
        this.subGroupList = res;
      },
      error: (err) => {},
      complete: () => {},
    });
  }

  onSelectSubGroup(subGroupId) {
    this.subGroupId = subGroupId;
  }

  getAccess() {
    this.ManageUserSubgroupsSvc.getAccess(
      this.GroupId,
      this.subGroupId
    ).subscribe({
      next: (res: any) => {
        this.accessList = res[0].SubGroupList;
      },
      error: (err) => {},
      complete: () => {},
    });
  }

  isUpdated() {
    return this.accessList
      .filter((con) => con)
      .map((con) => ({
        GroupID: this.GroupId,
        SubUserGroupID: this.subGroupId,
        FunctionID: con.FunctionID,
        Status: String(con.IsChecked),
      }));
  }

  setAccess() {
    const payload = this.isUpdated();

    this.ManageUserSubgroupsSvc.setAccess(payload).subscribe({
      next: (res: any) => {
        res;
      },
      error: (err) => {},
      complete: () => {},
    });
  }
}
