import { Component, OnInit } from '@angular/core';
import { RejectBeneficiaryComplianceReleaseService } from '../services/reject-beneficiary-compliance-release.service';
import { Router } from '@angular/router';

@Component({
  selector: 'app-reject-beneficiary-compliance-release',
  templateUrl: './reject-beneficiary-compliance-release.component.html',
  styleUrls: ['./reject-beneficiary-compliance-release.component.css'],
})
export class RejectBeneficiaryComplianceReleaseComponent implements OnInit {
  beneficiaryDetails: any[] = [];
  beneficiaryNumber: string = '';

  constructor(
    private rejectService: RejectBeneficiaryComplianceReleaseService,
    private router: Router
  ) {}
  navigateToBeneficiary(beneficiaryNumber: any) {
    this.router.navigate([
      `/panel/reject-beneficiary-compliance-report-reject/${beneficiaryNumber}`,
    ]);
  }
  toggleSideBar() {
    const bodyElement = document.body;
    bodyElement.classList.toggle('sidebar-collapsein');
  }
  ngOnInit() {
    this.getStatusRecords();
  }
  onBeneficiaryNumberChange(value: string) {
    this.beneficiaryNumber = value;
  }
  searchBeneficiary() {
    console.log('Beneficiary Number:', this.beneficiaryNumber);
    if (this.beneficiaryNumber.trim() !== '') {
      this.rejectService.getAllRecords(this.beneficiaryNumber).subscribe(
        (response: any) => {
          this.beneficiaryDetails = response;
        },
        (error) => {
          console.error('Error fetching beneficiary details:', error);
          this.beneficiaryDetails = null;
        }
      );
    } else {
      console.log('Please enter a beneficiary number');
      this.beneficiaryDetails = null;
    }
  }
  getStatusRecords() {
    this.rejectService.getStatusRecords('Release').subscribe(
      (response: any[]) => {
        this.beneficiaryDetails = response;
      },
      (error) => {
        console.error('Error fetching beneficiary details:', error);
      }
    );
  }

  getOfacLogDetails(transactionNumber: string) {
    this.rejectService.complicanceOfacLogDetails(transactionNumber).subscribe(
      (response: any) => {
        console.log('OFAC Log Details:', response);
      },
      (error) => {
        console.error('Error fetching OFAC Log Details:', error);
      }
    );
  }
}
