import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from './utils/helper';

@Injectable({
  providedIn: 'root',
})
export class SendAgentsCtaTransactionsService {
  constructor(private http: HttpClient) {}

  getCountry(ToDate: any) {
    return this.http.get(
      `${environment.apiUrl}/v1/api/transaction/send-agent-cta-hold-transaction/country?G_UserID=0&ToDate=${ToDate}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getAgent(ToDate: any) {
    return this.http.get(
      `${environment.apiUrl}/v1/api/transaction/send-agent-cta-hold-transaction/agent?CountryID=31&ToDate=${ToDate}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getAllRecord(ToDate: any, AgentID: any) {
    return this.http.get(
      `${environment.apiUrl}/v1/api/transaction/send-agent-cta-hold-transaction/all-record?AgentID=${AgentID}&ToDate=${ToDate}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
