import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root',
})
export class ComplianceUploadDataService {
  url = environment.apiUrl;
  constructor(private http: HttpClient) {}

  getComplianceData() {
    return this.http.get(
      `${environment.apiUrl}/v1/api/complicance/compliance-upload-data/all-record`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  uploadFile(fileType: string, userName: string, userId: number) {
    const headers = new HttpHeaders({
      Authorization: getCacheData('admin_token'),
      Accept: 'application/json',
      username: getCacheData('username'),
    });
    return this.http.post(
      `${this.url}/v1/api/complicance/compliance-upload-data/upload-file?FileType=${fileType}&G_UserName=${userName}&G_UserID=${userId}`,
      { headers }
    );
  }
}
