import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root',
})
export class EditTransactionService {
  url = environment.apiUrl;

  constructor(private http: HttpClient) {}

  getSerchStatusList(payload: any = {}) {
    return this.http.post(
      `${environment.apiUrl}/v1/api/master/transaction/edit-transaction/search/status-list`,
      payload,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
  // /api/master/transaction/edit-transaction/payin-country-list
  getTransferTypeList() {
    return this.http.get(
      `${environment.apiUrl}/v1/api/master/transaction/edit-transaction/transfer-type-list`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
  getPayinCountryList() {
    return this.http.get(
      `${environment.apiUrl}/v1/api/master/transaction/edit-transaction/payin-country-list`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
  getFillGrid(payload: any) {
    return this.http.post(
      `${environment.apiUrl}/v1/api/master/transaction/edit-transaction/fill-grid`,
      payload,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getTransactionDetails(branchId: any = 0, appId: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/v1/api/master/transaction/edit-transaction/edit-mode/display-details?BranchID=${branchId}&AppID=${appId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  statusApproved(payload: any) {
    return this.http.patch(
      `${environment.apiUrl}/v1/api/master/transaction/edit-transaction/status-approved`,
      payload,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  updateTransfer(payload: any) {
    return this.http.patch(
      `${environment.apiUrl}/v1/api/master/transaction/edit-transaction/status-update`,
      payload,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  } 
}
