import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root',
})
export class ManageRemitterOccupationService {
  url = environment.apiUrl;

  constructor(private http: HttpClient) {}

  getOccupationList() {
    return this.http.get(
      `${environment.apiUrl}/v1/api/master/remitter-occupation/occupation-list`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getAllRecord(occupationName: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/v1/api/master/remitter-occupation/all-record?StrRemitter=${occupationName}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
