import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from '../utils/helper';

@Injectable({
  providedIn: 'root',
})
export class ReceiveTransactionStatusSummaryService {
  url = environment.apiUrl;

  constructor(private http: HttpClient) {}

  getCountryList() {
    return this.http.get(
      `${environment.apiUrl}/v1/api/transaction-management/transaction-receive-status-summary/country`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getAgentList(countryId: any = 0) {
    return this.http.get(
      `${environment.apiUrl}/v1/api/transaction-management/transaction-cta-hold-summary/agent?CountryID=${countryId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getAllRecord(
    fromDate: any,
    toDate: any,
    countryId: any = 0,
    agentId: any = 0,
    statusId: any = 0
  ) {
    return this.http.get(
      `${environment.apiUrl}/v1/api/transaction-management/transaction-receive-status-summary/all-record?FromDate=${fromDate}&Todate=${toDate}&CountryID=${countryId}&AgentID=${agentId}&StatusID=${statusId}`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
