import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from './utils/helper';
import { HttpClient } from '@angular/common/http';

@Injectable({
  providedIn: 'root',
})
export class UploadTransactionsFileService {
  constructor(private http: HttpClient) {}

  getUploadTransactionFile() {
    return this.http.get(
      `${environment.apiUrl}/v1/api/transaction-management/transaction-upload-file/all-record`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
