import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
import { getCacheData } from './utils/helper';

@Injectable({
  providedIn: 'root',
})
export class VostroAccountBalanceService {
  constructor(private http: HttpClient) {}

  getVostroBalance() {
    return this.http.get(
      `${environment.apiUrl}/v1/api/transaction/vostro-balance/all-record`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getCountry() {
    return this.http.get(
      `${environment.apiUrl}/v1/api/transaction/vostro-balance/country`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getAgent() {
    return this.http.get(
      `${environment.apiUrl}/v1/api/transaction/vostro-balance/agent`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  getCurrency() {
    return this.http.get(
      `${environment.apiUrl}/v1/api/transaction/vostro-balance/currency`,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }

  updateVostroBalance(payload: any) {
    return this.http.post(
      `${environment.apiUrl}/v1/api/transaction/vostro-balance/submit`,
      payload,
      {
        headers: {
          Authorization: getCacheData('admin_token'),
          Accept: 'application/json',
          username: getCacheData('username'),
        },
      }
    );
  }
}
